package org.seasar.jsf.selector;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.TagProcessor;
import org.seasar.jsf.TagSelector;
import org.seasar.jsf.processor.TagProcessorImpl;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class FormSelector implements TagSelector {

	private static final String INJECT = "h:form";
	
	public FormSelector() {
	}

	public boolean isSelectable(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		return JsfConstants.FORM_ELEM.equalsIgnoreCase(qName);
	}

	public TagProcessor createProcessor() {
		return new TagProcessorImpl(INJECT);
	}
}